bl_info = {
    "name": "GP exporter",
    "description": "Organise export of gp layers through compositor output",
    "author": "Samuel Bernou",
    "version": (0, 1, 1),
    "blender": (2, 93, 0),
    "location": "View3D",
    "warning": "",
    "doc_url": "", 
    "category": "Object" }


from . import OP_add_layer
from . import OP_merge_layers
from . import OP_clear
from . import OP_manage_outputs
from . import ui

import bpy

def register():
    if bpy.app.background:
        return

    OP_add_layer.register()
    OP_clear.register()
    OP_merge_layers.register()
    OP_manage_outputs.register()
    ui.register()
    # bpy.types.Scene.pgroup_name = bpy.props.PointerProperty(type = PROJ_PGT_settings)

def unregister():
    if bpy.app.background:
        return

    ui.unregister()
    OP_manage_outputs.unregister()
    OP_merge_layers.unregister()
    OP_clear.unregister()
    OP_add_layer.unregister()

    # del bpy.types.Scene.pgroup_name

if __name__ == "__main__":
    register()